LL2_UPDATE_LOGIN_TIME(3)

NAME
ll2_update_login_time - Writes an *new* entry with updated login time.

SYNOPSIS

#include <lastlog2.h>

int ll2_update_login_time (struct ll2_context *context, const char *user, int64_t ll_time, char **error);

DESCRIPTION

Writes an new entry to database, defined in context, for user user. Time is set by ll_time whereas the other values are taken from an already existing entry. If context is NULL, the default database, defined in LL2_DEFAULT_DATABASE, will be taken.

    char    *error = NULL;
    const   char *user = "root";
    int64_t login_time = time(0); // Get the system time;

    int ret = ll2_update_login_time (NULL, user, login_time, &error);

RETURN VALUE

Returns 0 on success, -ENOMEM or -1 on other failure. error contains an error string if the return value is -1. error is not guaranteed to contain an error string. It could also be NULL if the return value is -1. error should be freed by the caller.

AUTHORS

Thorsten Kukuk (

SEE ALSO

lastlog2(3), ll2_new_context(3), *ll2_unref_context(3), *ll2_read_all(3), ll2_write_entry(3), ll2_read_entry(3), ll2_remove_entry(3), ll2_rename_user(3), ll2_import_lastlog(3)

REPORTING BUGS

For bug reports, use the issue tracker at

AVAILABILITY

The liblastlog2 library is part of the util-linux package since version 2.40. It can be downloaded from